# Function buildTableCaches

- buildTableCaches(allTables): {
  fieldCache: any;
  tableIdCache: any;
  tableNameCache: any;
  }

- when we don't have the saltcorn state those caches can be used

  #### Parameters

  - ##### allTables: any[]

  #### Returns {
  fieldCache: any;
  tableIdCache: any;
  tableNameCache: any;
  }

  tableIdCache, tableNameCache, fieldCache

  - ##### fieldCache: any

  - ##### tableIdCache: any

  - ##### tableNameCache: any

  - Defined in common-code/relations/relation_helpers.ts:8

Generated using TypeDoc